package com.convenient.android.lib.ui.sample.read.annotation

import androidx.compose.foundation.layout.Column
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.vector.ImageVector

/**
 * @author: hubowen
 * @date: 2022/9/29
 * @description:
 */

data class BottomItem(
    val title: String,
    val icon: ImageVector,
)

@Composable
fun AnnotationItem(
    imageId: ImageVector,
    annotationName: String,
    onClick: () -> Unit,
    modifier: Modifier = Modifier,
) {
    Column(
        modifier = modifier,
        horizontalAlignment = Alignment.CenterHorizontally
    ) {
        Text(text = annotationName)
//        ProfilePicture(
//            imageId = profileImageId,
//            contentDescription = null,
//            size = ProfileSizes.large,
//            modifier = Modifier
//                .border(
//                    shape = CircleShape,
//                    border = BorderStroke(width = 3.dp, brush = borderColor)
//                )
//                .clickable(
//                    interactionSource = interactionSource,
//                    indication = rememberRipple(bounded = false, radius = ProfileSizes.large / 2),
//                    enabled = true,
//                    onClickLabel = null,
//                    onClick = onClick
//                )
//        )
//        Text(text = profileName, style = textStyle, textAlign = TextAlign.Center, onClick = onClick.invoke())
    }
}